Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Class CIBProviderHandlerNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mfwk.cib.CIBException
                  com.sun.mfwk.cib.CIBProviderHandlerNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class CIBProviderHandlerNotFoundException
extends CIBException

Throws when the prvoder handler is not found

See Also:
  Serialized Form

Constructor Summary
`CIBProviderHandlerNotFoundException(javax.management.ObjectName mbean)` Build an exception with the Mbean objectName
`CIBProviderHandlerNotFoundException(javax.management.ObjectName mbean, java.lang.Throwable cause)` Build an exception with the throwable
`CIBProviderHandlerNotFoundException(java.lang.String message, javax.management.ObjectName mbean)` Build an exception with a detailed message and the mbean name
`CIBProviderHandlerNotFoundException(java.lang.String message, javax.management.ObjectName mbean, java.lang.Throwable cause)` build a new CIBProviderHandlerNotFoundException with the detailed message and the nested throwable

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIBProviderHandlerNotFoundException

    public CIBProviderHandlerNotFoundException(javax.management.ObjectName mbean)

  Build an exception with the Mbean objectName

Parameters:
  `mbean` - ObjectName

### CIBProviderHandlerNotFoundException

    public CIBProviderHandlerNotFoundException(java.lang.String message,
                                               javax.management.ObjectName mbean)

  Build an exception with a detailed message and the mbean name

Parameters:
  `message` - String
  `mbean` - ObjectName

### CIBProviderHandlerNotFoundException

    public CIBProviderHandlerNotFoundException(javax.management.ObjectName mbean,
                                               java.lang.Throwable cause)

  Build an exception with the throwable

Parameters:
  `mbean` - ObjectName
  `cause` - Throwable

### CIBProviderHandlerNotFoundException

    public CIBProviderHandlerNotFoundException(java.lang.String message,
                                               javax.management.ObjectName mbean,
                                               java.lang.Throwable cause)

  build a new CIBProviderHandlerNotFoundException with the detailed message and the nested throwable

Parameters:
  `message` - String
  `mbean` - ObjectName
  `cause` - Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD